import request from '@/utils/request'

// 查询故障代码管理列表
export function listFaultCodes(query) {
  return request({
    url: '/gxt/faultCodes/list',
    method: 'get',
    params: query
  })
}

// 查询故障代码管理详细
export function getFaultCodes(id) {
  return request({
    url: '/gxt/faultCodes/' + id,
    method: 'get'
  })
}

// 新增故障代码管理
export function addFaultCodes(data) {
  return request({
    url: '/gxt/faultCodes',
    method: 'post',
    data: data
  })
}

// 修改故障代码管理
export function updateFaultCodes(data) {
  return request({
    url: '/gxt/faultCodes',
    method: 'put',
    data: data
  })
}

// 删除故障代码管理
export function delFaultCodes(id) {
  return request({
    url: '/gxt/faultCodes/' + id,
    method: 'delete'
  })
}

// 查询场站列表（部门级别为3或4的）
export function listStations() {
  return request({
    url: '/gxt/faultCodes/stations',
    method: 'get'
  })
}

// 根据场站ID查询机型列表
export function listModelsByStationId(stationId) {
  return request({
    url: '/gxt/faultCodes/models/' + stationId,
    method: 'get'
  })
}

// 获取导出字段
export function getExportFields() {
  return request({
    url: '/gxt/faultCodes/exportFields',
    method: 'get'
  })
}

// 导入故障代码管理数据
export function importFaultCodes(data) {
  return request({
    url: '/gxt/faultCodes/importData',
    method: 'post',
    data: data
  })
}
